Skip to main content
GET
/
xml
/
{customer_subdomain}
/
lucca.xml
List active job offers
curl --request GET \
  --url https://jobs.world.luccasoftware.com/xml/{customer_subdomain}/lucca.xml
import requests

url = "https://jobs.world.luccasoftware.com/xml/{customer_subdomain}/lucca.xml"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://jobs.world.luccasoftware.com/xml/{customer_subdomain}/lucca.xml', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "CompanyName": "Lucca",
  "CompanyDescription": "Lucca édite des logiciels RH.",
  "Offers": [
    {
      "JobOpportunityId": 42,
      "Title": "Product Manager",
      "Content": "<string>",
      "ExpectedProfile": "<string>",
      "Localisation": "Nantes, France",
      "WorkContract": {
        "Type": "Permanent"
      },
      "RemunerationRange": "38K - 41K €",
      "Href": "<string>"
    }
  ]
}

Path Parameters

customer_subdomain
string
required

The unique Lucca subdomain for the company. For instance: "example" if the company's Lucca URL is "https://example.ilucca.net".

Response

A structured XML feed of job offers.

CompanyName
string

Legal or commercial name of the company.

Example:

"Lucca"

CompanyDescription
string

Description of the company. Can be HTML or plain text depending on the customer's Lucca configuration.

Example:

"Lucca édite des logiciels RH."

Offers
object[]